Bug 1619538 - Snapshot status fails with commit failure
Summary: Snapshot status fails with commit failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.4
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Sunny Kumar
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1619843
TreeView+ depends on / blocked
 
Reported: 2018-08-21 07:13 UTC by Sri Vignesh Selvan
Modified: 2018-09-26 17:07 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1619843 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:52:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:53:50 UTC

Description Sri Vignesh Selvan 2018-08-21 07:13:54 UTC
Description of problem:
=======================

Snapshot status fails with commit failure for activated snapshots.
This is the case for the activated snapshots which were present after migration from RHEL 6 to RHEL 7 . Clones of these snapshots were also present along with other volumes (from which the snapshots were taken)


Version-Release number of selected component (if applicable):
=============================================================
glusterfs-3.12.2-16.el7rhgs.x86_64


How reproducible:
=================
2/2


Steps to Reproduce:
===================

1. On RHEL 6 , Create snapshots of a volume and activate them
2. Create clones of these activated snapshots
3. Migrate from RHEL 6 to RHEL 7
4. Perform a " gluster snapshot status <snap-name> "command 

Actual results:
===============

Snapshot status failing with commit failure


Expected results:
=================

Status of the snapshots should be shown properly


Additional info:
================

Comment 7 Sunny Kumar 2018-08-22 04:03:10 UTC
Root Cause :  When OS upgrade is from RHEL6 to RHEL7 there is difference in
              symlink (/var/run)  between these two versions.
              Basically when (/var/run) is symlinked to /run, mount command
              resolves path and mounts it. But at the same time call to
              those functions fails who depends on absolute path.
              (like strcmp in glusterd_get_mnt_entry_info)

Comment 15 errata-xmlrpc 2018-09-04 06:52:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.